package com.community.huiju.common.wxpay;

import java.io.InputStream;

/**
 * 监控 控制器
 * @author fxf
 */
public class HfWxConfig extends WXPayConfig {
	
	/**
	 * 获取 App ID
	 *
	 * @return App ID
	 */
	@Override
	public String getAppID() {
		//银城慧家
		return "wx6070fd3e8ef854e4";
	}
	
	/**
	 * 获取 Mch ID
	 *
	 * @return Mch ID
	 */
	@Override
	public String getMchID() {
		return "1525909671";
	}
	
	/**
	 * 获取 API 密钥
	 *
	 * @return API密钥
	 */
	@Override
	public String getKey() {
		return "HUIJU999999999999999999999999999";
	}
	
	/**
	 * 获取商户证书内容
	 *
	 * @return 商户证书内容
	 */
	@Override
	public InputStream getCertStream() {
		return null;
	}
	
	/**
	 * 获取WXPayDomain, 用于多域名容灾自动切换
	 *
	 * @return
	 */
	@Override
	IWXPayDomain getWXPayDomain() {
		IWXPayDomain iwxPayDomain = new IWXPayDomain() {
			@Override
			public void report(String domain, long elapsedTimeMillis, Exception ex) {
			
			}
			@Override
			public DomainInfo getDomain(WXPayConfig config) {
				return new IWXPayDomain.DomainInfo(WXPayConstants.DOMAIN_API, true);
			}
		};
		return iwxPayDomain;
	}
}

